
Redmine - Patch #37713

Add rel="noopener" to all external links that would open a new tab/window

2022-09-26 13:11 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 5.0.3   

Description

This patch extends the ExternalLinksFilter to add rel="noopener" where necessary.

This is a safety measure to prevent the destination site from accessing the context of the opening window.

Associated revisions

Revision 21849 - 2022-09-27 00:34 - Marius BĂLTEANU

Add rel="noopener" to all external links with a target attribute (#37713).

Patch by Jens Krämer.

Revision 21858 - 2022-09-27 19:10 - Marius BĂLTEANU

Merged r21849 from trunk to 5.0-stable (#37713).

Revision 21865 - 2022-09-28 11:00 - Go MAEDA

Fix RuboCop offense Layout/LineLength due to r21849 (#37713).

Revision 21866 - 2022-09-28 11:02 - Go MAEDA

Merged r21865 from trunk to 5.0-stable (#37713).

History

#1 - 2022-09-26 20:14 - Mischa The Evil

- Target version set to 5.0.3

#2 - 2022-09-27 19:10 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

Patch committed, thanks!

#3 - 2022-09-27 22:55 - Marius BĂLTEANU

- Subject changed from add rel="noopener" to all external links that would open a new tab/window to Add rel="noopener" to all external links that

would open a new tab/window

- Status changed from Resolved to Closed

Fix merged to 5.0.3.
